%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   ntplib
%define modv   0.3.3


Summary:       A NTP client library for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/n/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.3.2-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Charles-Francois Natali <cf.natali@gmail.com>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python-devel >= 2.3 python-setuptools
BuildRequires: python-unittest2
BuildArch:     noarch


%description
Ntplib offers a simple interface to query NTP servers from Python. It
also provides utility functions to translate NTP fields values to text.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} test_ntplib.py


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG
%{python2_sitelib}/%{modn}.py*
%{python2_sitelib}/*.egg-info


%changelog
* Sat Aug 29 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.3.3-1
- New version (0.3.3)

* Mon Feb 09 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.3.2-1
- New version (0.3.2)

* Wed Apr 14 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.9-1
- Initial build
